# /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_dsnoop.c File Reference

PCM Capture Stream Snooping (dsnoop) Plugin Interface. More...

## Functions

int | snd_pcm_dsnoop_open (snd_pcm_t **pcmp, const char *name, struct snd_pcm_direct_open_conf *opts, struct slave_params *params, snd_config_t *root, snd_config_t *sconf, snd_pcm_stream_t stream, int mode)
| Creates a new dsnoop PCM.
int | _snd_pcm_dsnoop_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new dsnoop PCM.

## Detailed Description

PCM Capture Stream Snooping (dsnoop) Plugin Interface.

Author:
  Jaroslav Kysela <perex@perex.cz>

Date:
  2003

## Function Documentation

int _snd_pcm_dsnoop_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode |
| ) |  |  |

Creates a new dsnoop PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | root | Root configuration node
  | conf | Configuration node with dsnoop PCM description
  | stream | PCM Stream
  | mode | PCM Mode

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_dsnoop_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | struct snd_pcm_direct_open_conf * | opts,
|  | struct slave_params * | params,
|  | snd_config_t * | root,
|  | snd_config_t * | sconf,
|  | snd_pcm_stream_t | stream,
|  | int | mode |
| ) |  |  |

Creates a new dsnoop PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | opts | Direct PCM configurations
  | params | Parameters for slave
  | root | Configuration root
  | sconf | Slave configuration
  | stream | PCM Direction (stream)
  | mode | PCM Mode

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines